cURL
curl -X GET "https://api.fitsociety.io/public/v1/availability" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/availability"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"dateFrom": "2026-07-14T10:00:00.000Z",
"dateTo": "2026-07-14T10:00:00.000Z",
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"slots": [
{
"slotId": "66f7b8b1e13c8d25f4d3d90a",
"availabilityToken": "string",
"calendarEventId": "66f7b8b1e13c8d25f4d3d90a",
"instanceDate": "2026-07-14T10:00:00.000Z",
"eventTemplateId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name",
"startAt": "2026-07-14T10:00:00.000Z",
"endAt": "2026-07-14T10:00:00.000Z",
"capacity": {
"total": 1,
"booked": 1,
"remaining": 1
},
"bookingMode": "bookable"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Bookable availability
List bookable availability slots
Requires availability:read. Returns bookable slots derived from calendar events, coach and location availability, closure days, booking rules, and optional client context. Filter with clientId, eventTemplateId, eventTemplateIds, coachId, and locationId within a maximum 31-day date range. Each slot includes a short-lived availabilityToken to submit to POST /public/v1/bookings. Cancellations, closures, and existing reservations affect which slots can be booked. Use the Availability Management endpoints to manage coach or location availability templates.
GET
/
public
/
v1
/
availability
cURL
curl -X GET "https://api.fitsociety.io/public/v1/availability" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/availability"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"dateFrom": "2026-07-14T10:00:00.000Z",
"dateTo": "2026-07-14T10:00:00.000Z",
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1,
"hasNextPage": true,
"hasPrevPage": true,
"slots": [
{
"slotId": "66f7b8b1e13c8d25f4d3d90a",
"availabilityToken": "string",
"calendarEventId": "66f7b8b1e13c8d25f4d3d90a",
"instanceDate": "2026-07-14T10:00:00.000Z",
"eventTemplateId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name",
"startAt": "2026-07-14T10:00:00.000Z",
"endAt": "2026-07-14T10:00:00.000Z",
"capacity": {
"total": 1,
"booked": 1,
"remaining": 1
},
"bookingMode": "bookable"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}